Update a Team's Attributes
PATCH /api/0/organizations/{organization_id_or_slug}/scim/v2/Groups/{team_id_or_slug}
Update a team's attributes with a SCIM Group PATCH Request.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
team_id_or_slug(string)REQUIREDThe ID or slug of the team the resource belongs to.
Body Parameters
schemas(array(string))REQUIREDSCIM schema URIs identifying the request format. Must be the PatchOp schema.
Operations(array(object))REQUIREDThe list of operations to perform. Valid operations are:
- Renaming a team:
Copied{ "Operations": [{ "op": "replace", "value": { "id": 23, "displayName": "newName" } }] }{ "Operations": [{ "op": "replace", "value": { "id": 23, "displayName": "newName" } }] }- Adding a member to a team:
Copied{ "Operations": [{ "op": "add", "path": "members", "value": [ { "value": 23, "display": "testexample@example.com" } ] }] }{ "Operations": [{ "op": "add", "path": "members", "value": [ { "value": 23, "display": "testexample@example.com" } ] }] }- Removing a member from a team:
Copied{ "Operations": [{ "op": "remove", "path": "members[value eq "23"]" }] }{ "Operations": [{ "op": "remove", "path": "members[value eq "23"]" }] }- Replacing an entire member set of a team:
Copied{ "Operations": [{ "op": "replace", "path": "members", "value": [ { "value": 23, "display": "testexample2@sentry.io" }, { "value": 24, "display": "testexample3@sentry.io" } ] }] }{ "Operations": [{ "op": "replace", "path": "members", "value": [ { "value": 23, "display": "testexample2@sentry.io" }, { "value": 24, "display": "testexample3@sentry.io" } ] }] }
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:team:adminteam:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/scim/v2/Groups/{team_id_or_slug} \ -H 'Authorization: Bearer <auth_token>' \ -H 'Content-Type: application/json' \ -d '{}'
RESPONSE
CopiedSuccess.
Was this helpful?